## python-cassandra-driver 3.29.2

=== requirements.txt ===
geomet>=1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cassandra-driver.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cassandra-driver.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cassandra-driver"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cassandra-driver"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-cassandra-driver (3.29.2-6) unstable; urgency=medium

  * Team Upload
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2
  * Replace transitional python3-tz with python3-pytz
  * Rewrite d/watch in v5 format
  * Rewrite d/rules with newer & shorter syntax

  [ Michael R. Crusoe ]
  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of nproc to respect Debian Policy 4.9.1.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Nov 2025 22:11:16 +0100

python-cassandra-driver (3.29.2-5) unstable; urgency=medium

  * Increase difference range to pass test_nts_token_performance test on
    riscv64 (Closes: #1098277).
    - Thanks for patch Bo YU <vimer@debian.org>.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 18 Feb 2025 16:21:22 +0000

python-cassandra-driver (3.29.2-4) unstable; urgency=medium

  * Fix the build of cassandra.io.libevwrapper extension on Python 3.13

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Feb 2025 14:14:59 +0100

python-cassandra-driver (3.29.2-3) unstable; urgency=medium

  * Team Upload

  [ Arnaud Rebillout ]
  * Fix dh_auto_test syntax (Closes: #1084330)
  * Add patch to fix test when python version ends with a plus sign

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 Nov 2024 16:02:33 +0100

python-cassandra-driver (3.29.2-2) unstable; urgency=medium

  * Team upload.
  * Fix: disable a test that fails on riscv64 (Closes: #1076838)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 16 Sep 2024 08:50:58 +0200

python-cassandra-driver (3.29.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.29.2
  * Replace Nose with Pytest
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Sep 2024 15:18:10 +0200

=== debian/control ===
Source: python-cassandra-driver
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Emmanuel Arias <eamanu@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 cython3,
 libev-dev,
 python3-all-dbg,
 python3-all-dev,
 python3-eventlet <!nocheck>,
 python3-pure-sasl,
 python3-pyasyncore <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytz <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-twisted <!nocheck>,
 python3-yaml <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cassandra-driver
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cassandra-driver.git
Homepage: https://github.com/datastax/python-driver

Package: python3-cassandra
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python3-blist,
 python3-cassandra-doc,
Description: Python driver for Apache Cassandra (Python 3)
 A modern, feature-rich and highly-tunable Python client library for Apache
 Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's
 binary protocol and Cassandra Query Language v3.
 .
 Features:
  * Synchronous and Asynchronous APIs
  * Simple, Prepared, and Batch statements
  * Asynchronous IO, parallel execution, request pipelining
  * Connection pooling
  * Automatic node discovery
  * Automatic reconnection
  * Configurable load balancing and retry policies
  * Concurrent execution utilities
  * Object mapper
 .
 This package contains the Python 3.x module for python-cassandra

Package: python3-cassandra-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python driver for Apache Cassandra (documentation)
 A modern, feature-rich and highly-tunable Python client library for Apache
 Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's
 binary protocol and Cassandra Query Language v3.
 .
 Features:
  * Synchronous and Asynchronous APIs
  * Simple, Prepared, and Batch statements
  * Asynchronous IO, parallel execution, request pipelining
  * Connection pooling
  * Automatic node discovery
  * Automatic reconnection
  * Configurable load balancing and retry policies
  * Concurrent execution utilities
  * Object mapper
 .
 This is the common documentation package.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cassandra

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# In case there's something wrong during cython generation, you may want to enable this
#export CASS_DRIVER_NO_CYTHON=1

include /usr/share/dpkg/buildopts.mk
# Enable parallel build
ifeq ($(DEB_BUILD_OPTION_PARALLEL),)
export CASS_DRIVER_BUILD_CONCURRENCY=0
else
export CASS_DRIVER_BUILD_CONCURRENCY=$(DEB_BUILD_OPTION_PARALLEL)
endif

%:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	dh $@ --with sphinxdoc --buildsystem=pybuild
else
	dh $@ --buildsystem=pybuild
endif

execute_after_dh_auto_clean:
	rm -rf build/ cassandra_driver.egg-info/
	# Do not delete cmurmur3.c because we don't have proper Python extension
	# so it cannot be regenerated with cython
	find cassandra -maxdepth 1 -type f -name '*.c' ! -name 'cmurmur3.c' -delete

execute_after_dh_auto_build:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
endif

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	rm tests/integration -rf
	rm tests/stress_tests/test_multi_inserts.py tests/stress_tests/test_load.py tests/unit/io/test_eventletreactor.py tests/unit/cython/test_utils.py tests/unit/cython/test_bytesio.py
ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_auto_test -- --test-args "-k 'not test_timer_cancellation'"
else
	-dh_auto_test
endif
endif

execute_after_dh_auto_install:
	rm -rf debian/python*-dbg/usr/lib/python*/dist-packages/cassandra/numpyFlags.h

=== debian/tests/control ===
Tests:
 testsuite,
Architecture: amd64 arm64 armel armhf i386 ppc64el
Depends:
 python3-all,
 python3-eventlet,
 python3-pure-sasl,
 python3-pyasyncore,
 python3-pytest,
 python3-pytz,
 python3-setuptools,
 python3-twisted,
 python3-yaml,
 @,
Restrictions:
 allow-stderr,
 needs-root,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: datastax
Project: python-driver
